# Analyse du modèle DLA (Diffusion Limitée par Agrégation)

##  Objectif

Ce modèle vise à simuler et visualiser des structures fractales créées par agrégation de particules en mouvement brownien. Il permet d'explorer les comportements auto-organisés dans des systèmes physiques ou biologiques.

---

## Comportement du modèle

### 1. Mouvement
- Les particules se déplacent aléatoirement (mouvement brownien) dans l’espace 2D.
- Leur déplacement est réglé par un curseur (`particle-speed`).

### 2. Agrégation
- Lorsqu’une particule entre en contact avec une autre déjà fixée (agrégée), elle devient à son tour fixée.
- L’agrégat grandit ainsi progressivement, en partant de l’attracteur central.

### 3. Types de particules
- Trois types aléatoires : cuivre, argent, or.
- Chaque type est visualisé avec une teinte spécifique.
- Le **type n’a pas d’influence sur le comportement**, mais illustre les variantes.

### 4. Âge
- L’âge d’une particule correspond au nombre de cycles (`ticks`) avant qu’elle s’agrège.
- Il est représenté par une variation de **couleur** : plus elle met de temps, plus sa couleur est foncée.

---

##  Formes d’attracteurs étudiées

| Forme     | Description                              | Résultat visuel attendu           |
|-----------|------------------------------------------|-----------------------------------|
| `point`   | Un patch unique au centre                | Agrégat radial compact            |
| `line`    | Ligne horizontale                        | Agrégation allongée en largeur    |
| `cross`   | Ligne horizontale + verticale (croix)    | Structure plus complexe et ramifiée |

---

##  Observations et remarques

- Plus la vitesse est basse, plus l’agrégation est dense.
- L'âge moyen des particules donne une idée du **temps de capture**.

---

##  Conclusion

Ce modèle met en évidence comment un **mécanisme simple** produit des **formes complexes** et naturelles, tout en offrant une plateforme d'expérimentation riche pour comprendre la formation des structures par auto-organisation.

